gtkmm: Gtk::WindowGroup Class Reference

gtkmm 3.11.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions | List of all members
Gtk::WindowGroup Class Reference

Limit the effect of grabs. More...

Inheritance diagram for Gtk::WindowGroup:
[legend]

## Public Member Functions
virtual | ~WindowGroup ()
GtkWindowGroup* | gobj ()
| Provides access to the underlying C GObject. More...
const GtkWindowGroup* | gobj () const
| Provides access to the underlying C GObject. More...
GtkWindowGroup* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | add_window (Window& window)
| Adds a window to a Gtk::WindowGroup. More...
void | remove_window (Window& window)
| Removes a window from a Gtk::WindowGroup. More...
std::vector< Window* > | list_windows ()
| Returns a list of the Gtk::Windows that belong to window_group. More...
std::vector< const Window* > | list_windows () const
| Returns a list of the Gtk::Windows that belong to window_group. More...
Widget* | get_current_grab ()
| Gets the current grab widget of the given group, see gtk_grab_add(). More...
const Widget* | get_current_grab () const
| Gets the current grab widget of the given group, see gtk_grab_add(). More...
Widget* | get_current_grab (const Glib::RefPtr< const Gdk::Device >& device)
| Returns the current grab widget for device, or `0` if none. More...
const Widget* | get_current_grab (const Glib::RefPtr< const Gdk::Device >& device) const
| Returns the current grab widget for device, or `0` if none. More...

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr< WindowGroup > | create ()

## Protected Member Functions
| WindowGroup ()

## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::WindowGroup > | wrap (GtkWindowGroup* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

Limit the effect of grabs.

## Constructor & Destructor Documentation

virtual Gtk::WindowGroup::~WindowGroup | ( | ) |  |
| virtual

Gtk::WindowGroup::WindowGroup | ( | ) |  |
| protected

## Member Function Documentation

void Gtk::WindowGroup::add_window | ( | Window& | window) |  |

Adds a window to a Gtk::WindowGroup.

Parameters

  window | The Gtk::Window to add.

static Glib::RefPtr<WindowGroup> Gtk::WindowGroup::create | ( | ) |  |
| static

Widget* Gtk::WindowGroup::get_current_grab | ( | ) |  |

Gets the current grab widget of the given group, see gtk_grab_add().

Since gtkmm 2.22:

Returns
  The current grab widget of the group.

const Widget* Gtk::WindowGroup::get_current_grab | ( | ) |  | const

Gets the current grab widget of the given group, see gtk_grab_add().

Since gtkmm 2.22:

Returns
  The current grab widget of the group.

Widget* Gtk::WindowGroup::get_current_grab | ( | const Glib::RefPtr< const Gdk::Device >& | device) |  |

Returns the current grab widget for device, or `0` if none.

Since gtkmm 3.0:

Parameters

  device | A Gdk::Device.

Returns
  The grab widget, or `0`.

const Widget* Gtk::WindowGroup::get_current_grab | ( | const Glib::RefPtr< const Gdk::Device >& | device) |  | const

Returns the current grab widget for device, or `0` if none.

Since gtkmm 3.0:

Parameters

  device | A Gdk::Device.

Returns
  The grab widget, or `0`.

static GType Gtk::WindowGroup::get_type | ( | ) |  |
| static

Get the GType for this class, for use with the underlying GObject type system.

GtkWindowGroup* Gtk::WindowGroup::gobj | ( | ) |  |
| inline

Provides access to the underlying C GObject.

const GtkWindowGroup* Gtk::WindowGroup::gobj | ( | ) |  | const
| inline

Provides access to the underlying C GObject.

GtkWindowGroup* Gtk::WindowGroup::gobj_copy | ( | ) |  |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

std::vector<Window*> Gtk::WindowGroup::list_windows | ( | ) |  |

Returns a list of the Gtk::Windows that belong to window_group.

Since gtkmm 2.14:

Returns
  A newly-allocated list of windows inside the group.

std::vector<const Window*> Gtk::WindowGroup::list_windows | ( | ) |  | const

Returns a list of the Gtk::Windows that belong to window_group.

Since gtkmm 2.14:

Returns
  A newly-allocated list of windows inside the group.

void Gtk::WindowGroup::remove_window | ( | Window& | window) |  |

Removes a window from a Gtk::WindowGroup.

Parameters

  window | The Gtk::Window to remove.

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::WindowGroup > wrap | ( | GtkWindowGroup * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/window.h